/* View projection type */
#define ORTHOGRAPHIC_PROJECTION 0
#define PERSPECTIVE_PROJECTION 1

/* View orientation */
#define FRONT_VIEW 0
#define BACK_VIEW 1
#define RIGHT_SIDE_VIEW 2
#define LEFT_SIDE_VIEW 3
#define TOP_VIEW 4
#define BOTTOM_VIEW 5
#define ISO_VIEW 6

/* Double buffer data */

#define DOUBLE_BUF_MBX    1
#define DOUBLE_BUF_ESCAPE 2
#define DOUBLE_BUF_PIXMAP 3
#define SINGLE_BUF        4

typedef struct {
    int                 buffer_type;
    int 		do_clear;
    Window		window;
    Drawable		front_buffer;
    Drawable		back_buffer;
    unsigned int        width;
    unsigned int        height;
    unsigned int        depth;
    GC			gc;
} bufData;
